#pragma once
#include <saas/deploy_manager/scripts/cluster/cluster_task.h>
#include <saas/deploy_manager/scripts/common/scripts_helper.h>


#define CTYPE_ALERTS_TASK_TYPE "CTYPE_ALERTS_TASK"

using namespace NRTYDeploy;

namespace NRTYAlerts {
    class TAlertsCTypeTask : public TClusterTask {
    protected:
        bool ValidateCType(TString& errorMessage);
        bool BuildServicesActions();
    public:
        TAlertsCTypeTask(const TClusterTask::TCgiContext& context, NRTYDeploy::ICommonData* commonData);

        virtual void DoBuildTask();
    };

}
